# PvCard::ParamValue Class Reference

Representation of EBNF param-value. More...

`#include <vcard.h>`

Inheritance diagram for PvCard::ParamValue:

List of all members.

## Public Member Functions

| ParamValue (const char *str=NULL)
| ParamValue (const PString &str)
virtual void | PrintOn (ostream &strm) const
| Output the string to the specified stream.
virtual void | ReadFrom (istream &strm)
| Input the string from the specified stream.

## Detailed Description

Representation of EBNF param-value.

## Constructor & Destructor Documentation

PvCard::ParamValue::ParamValue | ( | const char * | str = `NULL` | ) | `[inline]`

PvCard::ParamValue::ParamValue | ( | const PString & | str | ) | `[inline]`

## Member Function Documentation

virtual void PvCard::ParamValue::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the string to the specified stream.

Reimplemented from PString.

virtual void PvCard::ParamValue::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the string from the specified stream.

This will read all characters until a end of line is reached. The end of line itself is not placed in the string, however it is removed from the stream.

Reimplemented from PString.

The documentation for this class was generated from the following file:

- vcard.h